using System;
using System.Windows;

internal sealed class Delegate527 : MulticastDelegate
{
	public extern void Invoke(object object_0, RoutedEventHandler routedEventHandler_0);

	public static void smethod_0(object object_0, RoutedEventHandler routedEventHandler_0, Delegate527 delegate527_1)
	{
		delegate527_1(object_0, routedEventHandler_0);
	}

	public extern Delegate527(object object_0, IntPtr intptr_0);

	static Delegate527()
	{
		Class10.smethod_13(typeof(Delegate527).TypeHandle);
	}

	internal static Delegate527 delegate527_0;
}
